// Copyright © 2017 Project Golan, all rights reserved.
// See COPYING for more information.
#ifndef m_str_h
#define m_str_h

#include "m_types.h"

#define M_strbufcpy(a, b) (strncpy((a), (b), M_countof(a)))

#if __GDCC__
#define M_strmk(...) M_StrCreate(M_StrFmt(__VA_ARGS__))
#endif

// Extern Functions ----------------------------------------------------------|

char *M_StrFmt(char const *fmt, ...);
mword M_StrHash(char const *s);

#if __GDCC__
__str M_StrCreate(char const *s);
char *M_StrGet(__str name);
#endif

#endif
